Module java.desktop
Package java.awt.desktop

## Class FilesEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.desktop.AppEvent
    - - java.awt.desktop.FilesEvent

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `OpenFilesEvent`, `PrintFilesEvent`

      public class FilesEvent
      extends AppEvent

  Auxiliary event containing a list of files.
  Since:
    9
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields declared in class java.util.EventObject

      `source`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<File>` | `getFiles()` | Gets the list of files.

    - ### Methods declared in class java.util.EventObject

      `getSource, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getFiles

          public List<File> getFiles()

      Gets the list of files.
      Returns:
        the list of files